com.r3corda.core.testing / TransactionGroupDSL

# TransactionGroupDSL

`class TransactionGroupDSL<T : ContractState>`

### Types

Roots | `inner class Roots<T : ContractState>`
WireTransactionDSL | `inner class WireTransactionDSL<T : ContractState> : AbstractTransactionForTest`

### Exceptions

Failed | `class Failed : Exception`

### Constructors

<init> | `TransactionGroupDSL(stateType: Class<T>)`

### Properties

output | `val String.output: TransactionState<T>`
outputRef | `val String.outputRef: StateRef`
txns | `val txns: ArrayList<WireTransaction>`

### Functions

expectFailureOfTx | `fun expectFailureOfTx(index: Int, message: String): Exception`
labelForState | `fun labelForState(output: TransactionState<*>): String?`
labelForTransaction | `fun labelForTransaction(tx: WireTransaction): String?` `fun labelForTransaction(tx: LedgerTransaction): String?`
lookup | `fun <C : ContractState> lookup(label: String): StateAndRef<C>`
roots | `fun roots(body: Roots<T>.() -> Unit): <ERROR CLASS>`
signAll | `fun signAll(txnsToSign: List<WireTransaction> = txns, vararg extraKeys: KeyPair): List<SignedTransaction>`
toTransactionGroup | `fun toTransactionGroup(): TransactionGroup`
transaction | `fun transaction(label: String? = null, body: WireTransactionDSL<T>.() -> Unit): WireTransaction`
transactionGroup | `fun transactionGroup(body: TransactionGroupDSL<T>.() -> Unit): Unit` Note: Dont delete, this is intended to trigger compiler diagnostic when the DSL primitive is used in the wrong place
verify | `fun verify(): Unit`